summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-05-20 09:21:27 +0200
committerMichał Górny <mgorny@gentoo.org>2020-05-20 11:30:14 +0200
commit41c210c8d7ce9f7d9acd09578a37724551fb580e (patch)
tree17f4b1db1af0544675db0ffb050c6f63bc23eea1
parentdev-python/hypothesis: Bump to 5.15.0 (diff)
downloadgentoo-41c210c8d7ce9f7d9acd09578a37724551fb580e.tar.gz
gentoo-41c210c8d7ce9f7d9acd09578a37724551fb580e.tar.bz2
gentoo-41c210c8d7ce9f7d9acd09578a37724551fb580e.zip
app-arch/libarchive: Bump to 3.4.3
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--app-arch/libarchive/Manifest1
-rw-r--r--app-arch/libarchive/libarchive-3.4.3.ebuild134
2 files changed, 135 insertions, 0 deletions
diff --git a/app-arch/libarchive/Manifest b/app-arch/libarchive/Manifest
index dc4b48a9a98..30ac772f2d0 100644
--- a/app-arch/libarchive/Manifest
+++ b/app-arch/libarchive/Manifest
@@ -1 +1,2 @@
DIST libarchive-3.4.2.tar.gz 6979481 BLAKE2B eea90e4751ae487cd1a9b0eecd16598d1b81ffff665ae97a160e3858c8ffe60b82003f081af644f3f32260d0e1d3f3077240125e8279bf8111a79d93c68ac25d SHA512 a8922e54f2e985889d205ee8a0594c1d30dad950438b602a5be6bb1b274a735ad20a48ed484efd458013a0810d26ee4ae76e3a6c820823243d24ea0593ed7021
+DIST libarchive-3.4.3.tar.gz 6990533 BLAKE2B 12f97e8e4032daf0fa8f9e1839f9c7ef80fda0b2a0ba703c67d860437fad6a293484a61417f72eff933179d544cfed45083e7886f462276bc6abbce1097e6256 SHA512 d00167dec6e65a0b17b46a1e3bb0242d85716dbc637afd233360cb515b2750dafe0ff0644b9e01ad23534340b405a8551f496c5e39fba9ee99355a515580d65d
diff --git a/app-arch/libarchive/libarchive-3.4.3.ebuild b/app-arch/libarchive/libarchive-3.4.3.ebuild
new file mode 100644
index 00000000000..7eb40b6533f
--- /dev/null
+++ b/app-arch/libarchive/libarchive-3.4.3.ebuild
@@ -0,0 +1,134 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit libtool multilib-minimal toolchain-funcs
+
+DESCRIPTION="Multi-format archive and compression library"
+HOMEPAGE="https://www.libarchive.org/"
+SRC_URI="https://www.libarchive.org/downloads/${P}.tar.gz"
+
+LICENSE="BSD BSD-2 BSD-4 public-domain"
+SLOT="0/13"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="acl blake2 +bzip2 +e2fsprogs expat +iconv kernel_linux libressl lz4 +lzma lzo nettle static-libs +threads xattr +zlib zstd"
+
+RDEPEND="
+ acl? ( virtual/acl[${MULTILIB_USEDEP}] )
+ blake2? ( app-crypt/libb2[${MULTILIB_USEDEP}] )
+ bzip2? ( app-arch/bzip2[${MULTILIB_USEDEP}] )
+ expat? ( dev-libs/expat[${MULTILIB_USEDEP}] )
+ !expat? ( dev-libs/libxml2[${MULTILIB_USEDEP}] )
+ iconv? ( virtual/libiconv[${MULTILIB_USEDEP}] )
+ kernel_linux? (
+ xattr? ( sys-apps/attr[${MULTILIB_USEDEP}] )
+ )
+ !libressl? ( dev-libs/openssl:0=[${MULTILIB_USEDEP}] )
+ libressl? ( dev-libs/libressl:0=[${MULTILIB_USEDEP}] )
+ lz4? ( >=app-arch/lz4-0_p131:0=[${MULTILIB_USEDEP}] )
+ lzma? ( app-arch/xz-utils[threads=,${MULTILIB_USEDEP}] )
+ lzo? ( >=dev-libs/lzo-2[${MULTILIB_USEDEP}] )
+ nettle? ( dev-libs/nettle:0=[${MULTILIB_USEDEP}] )
+ zlib? ( sys-libs/zlib[${MULTILIB_USEDEP}] )
+ zstd? ( app-arch/zstd[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+ kernel_linux? (
+ virtual/os-headers
+ e2fsprogs? ( sys-fs/e2fsprogs )
+ )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.3.3-libressl.patch
+)
+
+# Various test problems, starting with the fact that sandbox
+# explodes on long paths. https://bugs.gentoo.org/598806
+RESTRICT="test"
+
+src_prepare() {
+ default
+ elibtoolize # is required for Solaris sol2_ld linker fix
+}
+
+multilib_src_configure() {
+ export ac_cv_header_ext2fs_ext2_fs_h=$(usex e2fsprogs) #354923
+
+ local myconf=(
+ $(use_enable acl)
+ $(use_enable static-libs static)
+ $(use_enable xattr)
+ $(use_with blake2 libb2)
+ $(use_with bzip2 bz2lib)
+ $(use_with expat)
+ $(use_with !expat xml2)
+ $(use_with iconv)
+ $(use_with lz4)
+ $(use_with lzma)
+ $(use_with lzo lzo2)
+ $(use_with nettle)
+ $(use_with zlib)
+ $(use_with zstd)
+
+ # Windows-specific
+ --without-cng
+ )
+ if multilib_is_native_abi ; then
+ myconf+=(
+ --enable-bsdcat=$(tc-is-static-only && echo static || echo shared)
+ --enable-bsdcpio=$(tc-is-static-only && echo static || echo shared)
+ --enable-bsdtar=$(tc-is-static-only && echo static || echo shared)
+ )
+ else
+ myconf+=(
+ --disable-bsdcat
+ --disable-bsdcpio
+ --disable-bsdtar
+ )
+ fi
+
+ ECONF_SOURCE="${S}" econf "${myconf[@]}"
+}
+
+multilib_src_compile() {
+ if multilib_is_native_abi ; then
+ emake
+ else
+ emake libarchive.la
+ fi
+}
+
+multilib_src_test() {
+ # Replace the default src_test so that it builds tests in parallel
+ multilib_is_native_abi && emake check
+}
+
+multilib_src_install() {
+ if multilib_is_native_abi ; then
+ emake DESTDIR="${D}" install
+
+ # Create symlinks for FreeBSD
+ if ! use prefix && [[ ${CHOST} == *-freebsd* ]]; then
+ # Exclude cat for the time being #589876
+ for bin in cpio tar; do
+ dosym bsd${bin} /usr/bin/${bin}
+ echo '.so bsd${bin}.1' > "${T}"/${bin}.1
+ doman "${T}"/${bin}.1
+ done
+ fi
+ else
+ local install_targets=(
+ install-includeHEADERS
+ install-libLTLIBRARIES
+ install-pkgconfigDATA
+ )
+ emake DESTDIR="${D}" "${install_targets[@]}"
+ fi
+
+ # Libs.private: should be used from libarchive.pc instead
+ find "${ED}" -type f -name "*.la" -delete || die
+}
+
+multilib_src_install_all() {
+ cd "${S}" || die
+ einstalldocs
+}